Get a gig role
Path Parameters
- Type: stringFormat: uuididrequired
Gig role id.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/gig-roles/{id}
curl https://api.hireorpheus.com/api/v1/gig-roles/123e4567-e89b-12d3-a456-426614174000 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": null,
"role_id": null,
"gig_id": null,
"staff_member_id": null,
"gig_product_id": null,
"training": true,
"rate_id": null,
"latest_invitation_id": null,
"call_time": null,
"call_time_location": null,
"computed_base_amount": null,
"computed_day_modifier": null,
"computed_addon_total": null,
"computed_travel_amount": null,
"computed_total_amount": null,
"created_time": "2026-10-14T08:02:53.595Z",
"last_edited_time": "2026-10-14T08:02:53.595Z"
}
}